Roboparts
===

Roboparts is the base Rails application used at [silentpost](http://silentpost.co). It comes configured with boilerplate code past the typical Rails install, so developers can instead focus on creating great apps.

Installation
---

First install the roboparts gem:

```
gem install roboparts
```

Then run:

```
roboparts projectname
```

This will create a Rails app in `projectname` using the latest version of Rails.

Gemfile
---

One of the biggest reasons roboparts was created was the custom Gemfile, which includes:

* [Normalize] for resetting browser styles
* [Bourbon] for Sass mixins
* [Neat] for semantic grids
* [Delayed Job] for background processes
* [Simple Form] for form markup and style
* [Unicorn] for serving HTTP requests
* [Devise] for authentication

For development:

* [Spring ]
* [RSpec] for tests instead of Test::Unit
* [Factory Girl] instead of fixtures

For tests:

* [Shoulda matchers] for common RSpec matchers
* [Timecop] for testing time

Other defaults
---

Roboparts also comes configured with the following:

* PostgreSQL as the default database
* `./bin/setup` for new developer setup
* Rails flashes set up and in the application layout
* An automatically-created `SECRET_KEY_BASE` environment variable in all environments

GitHub
---

You can optionally create a GitHub repository for the Rails app. This requires you to have [Hub] on your system:

```
roboparts app --github organization/project
```

Dependencies
===

Roboparts requires the latest version of Ruby.

License
===

Roboparts is Copyright © 2014 SILENTPOST. It is free software, and may be redistributed under terms specified in the LICENSE.