$:.push File.expand_path('../lib', __FILE__)
require 'roboparts/version'
require 'date'

Gem::Specification.new do |s|
  s.required_ruby_version = ">= #{Roboparts::RUBY_VERSION}"
  s.name           = 'roboparts'
  s.authors        = ["Daniel Strunk"]
  s.email          = 'daniel@silentpost.co'
  s.date           = Date.today.strftime('%Y-%m-%d')

  s.description    = <<-RUBY
Roboparts is a base Rails project that you can upgrade. It is used by SILENTPOST 
to get a jump start on a working app using preferred settings. It is heavily inspired 
by Thoughtbot's Suspenders, but is more tailored to small team development and 
has different preferences.
  RUBY

  s.summary        = "A custom Rails app using SILENTPOST's development standards"
  s.homepage       = 'http://github.com/silentpost/roboparts'
  s.license        = 'MIT'
  s.require_paths  = ['lib']
  s.executables    = ['roboparts']
  s.files          = `git ls-files`.split("\n")
  s.version        = Roboparts::VERSION

  s.add_dependency 'bundler', '~> 1.3'
  s.add_dependency 'rails', Roboparts::RAILS_VERSION
  s.add_dependency 'bitters', '~> 0.10.0'

  s.add_development_dependency 'rspec', '~> 2.0'
  s.add_development_dependency 'capybara', '~> 2.2', '>= 2.2.0'
end
